Bug 9097 - Add option to trigger 'Welcome mail' manually
Summary: Add option to trigger 'Welcome mail' manually
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P4 enhancement with 10 votes (vote)
Assignee: Martin Renvoize
QA Contact:
URL:
Keywords:
Depends on: 30237
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-16 10:49 UTC by Katrin Fischer
Modified: 2022-05-10 09:45 UTC (History)
20 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds a button to the more menu of the patron details page allowing staff to manually trigger sending the WELCOME notice to the user.
Version(s) released in:
22.05.00


Attachments
Bug 9097: Add option to manually send welcome email (2.98 KB, patch)
2022-03-08 16:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 9097: Add option to manually send welcome email (3.23 KB, patch)
2022-03-09 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 9097: Add option to manually send welcome email (3.40 KB, patch)
2022-04-03 10:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-11-16 10:49:08 UTC
One of our libraries asked, if Koha can send a welcome mail to new patrons. Ideally this would be an option in the patron account, so a mail can by the librarian to the patron whenever the registration process is completed at the circulation desk.
The email could include important information about how to use the library, loan periods, services etc.
Comment 1 Katrin Fischer 2012-11-16 11:08:13 UTC
AutoEmailOpacUser will only work, if you create a new patron from scratch and finish the registering process in one session. If you use patron data import no mails are sent out when the account is created. If I understood correctly the library wanted an option to do it manually or when actually activating an account.
Comment 2 Liz Rea 2012-11-26 03:47:23 UTC
You could, in theory, have the email grab the circ rules for that patron category from the actual rules, so they are always right (as of the time the email is sent).

I like this idea quite a lot.
Comment 3 Fiona Borthwick 2015-10-09 10:59:11 UTC
One of our customers reported that they were not receiving these welcome email messages either.  As it turns out they leave the username and password fields blank and Koha generates them upon saving.

So in effect I suppose that this is a 2 stage registration too but it would be nice if the email could be sent.  After all they want the username and password generated automatically for a reason.

It also makes sense that an email is sent if username and password are generated automatically as the borrower will need to know this information as it is not entered manually.
Comment 4 Katrin Fischer 2015-12-13 21:43:17 UTC
Hi Fiona,

we were thinking about a new feature here - not quite the same as the ACCTDETAILS. Maybe it would be good to file a separate bug about the problems you describe? I know that the email is often not send because people miss filling in one of the required fields the first go. Having a look at how to improve this would be good.
Comment 5 Owen Leonard 2021-11-18 16:49:37 UTC
It seems odd to me that the AutoEmailOpacUser preference ONLY works if you're adding someone from the staff interface. A more comprehensive solution might add a flag to the patron account so that a cron job could send the notice to any new (unflagged) accounts periodically, whether they were created by self-registration, patron import, or manually via the staff interface.

If we did it like that it would be relatively easy to trigger the re-sending of a notice by toggling the flag on the patron's acccount, thereby putting them back into the notification queue.
Comment 6 Katrin Fischer 2021-11-19 12:20:50 UTC
(In reply to Owen Leonard from comment #5)
> It seems odd to me that the AutoEmailOpacUser preference ONLY works if
> you're adding someone from the staff interface. A more comprehensive
> solution might add a flag to the patron account so that a cron job could
> send the notice to any new (unflagged) accounts periodically, whether they
> were created by self-registration, patron import, or manually via the staff
> interface.
> 
> If we did it like that it would be relatively easy to trigger the re-sending
> of a notice by toggling the flag on the patron's acccount, thereby putting
> them back into the notification queue.

+1
Comment 7 Barbara Johnson 2021-12-21 15:06:15 UTC
+1 Sending a welcome email is a really great way to engage new users.  Owen's suggestion for how this could work sounds great.
Comment 8 David Cook 2022-02-02 01:21:10 UTC
This would be good for self-registered patrons too. I feel like there is a separate bugzilla ticket for that...
Comment 9 Lucy Vaux-Harvey 2022-02-09 14:34:06 UTC
I agree it would be good if the Welcome email could be sent to self-registered patrons (without the password included - see bug 27812).  We have library customers who would like to use this facility.
Comment 10 Martin Renvoize 2022-03-01 16:34:45 UTC
Right.. bug 27812 is now PQA and will now send a notice whenever a new patron is added via the staff client via memberentry.. and bug 17648 is signed off and moves the notice into the message queue..

Now it's time to come back to this and look at enabling the notice in some other places, like patron imports, opac registrations (maybe at the confirmation stage?) etc.
Comment 11 Martin Renvoize 2022-03-02 14:43:25 UTC
Patron imports done.. see bug 29005
Comment 12 Martin Renvoize 2022-03-02 16:21:50 UTC
Self registration done, bug 30214
Comment 13 Martin Renvoize 2022-03-02 16:24:08 UTC
Does that cover everything?
Comment 14 Katrin Fischer 2022-03-06 12:43:23 UTC
(In reply to Martin Renvoize from comment #13)
> Does that cover everything?

Almost! I think the original idea here was to have a button for manual sending/resending of a notice. So maybe we could add that to the 'More' menu if possible? 

It could also be useful if patrons don't give an email address at first, but add one later.
Comment 15 Martin Renvoize 2022-03-08 11:52:28 UTC
Good call.. I can try to add that one lunchtime this week :)
Comment 16 Martin Renvoize 2022-03-08 16:44:32 UTC
Created attachment 131493 [details] [review]
Bug 9097: Add option to manually send welcome email

This patch adds a new 'Send welcome email' option to the 'More' dropdown
menu in the patrons toolbar.

Clicking the button will queue the welcome email again for the patron and
redirect the user to the Notices tab to view it's contents.
Comment 17 Martin Renvoize 2022-03-09 12:16:45 UTC
Created attachment 131518 [details] [review]
Bug 9097: Add option to manually send welcome email

This patch adds a new 'Send welcome email' option to the 'More' dropdown
menu in the patrons toolbar.

Clicking the button will queue the welcome email again for the patron and
redirect the user to the Notices tab to view it's contents.
Comment 18 Martin Renvoize 2022-03-09 12:30:47 UTC
Hopefully that ticks the box for people :)
Comment 19 Kelly McElligott 2022-03-11 18:53:19 UTC
Signed off, the dev box I was using didn't automatically send the update.
Comment 20 Jessie Zairo 2022-03-11 19:00:25 UTC
The patch works as expected.
Comment 21 Katrin Fischer 2022-04-03 10:56:32 UTC
Created attachment 132916 [details] [review]
Bug 9097: Add option to manually send welcome email

This patch adds a new 'Send welcome email' option to the 'More' dropdown
menu in the patrons toolbar.

Clicking the button will queue the welcome email again for the patron and
redirect the user to the Notices tab to view it's contents.

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Jessie Zairo <jzairo@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Katrin Fischer 2022-04-03 10:57:26 UTC
Added Kelly's, Jessie's and my sign-off line here and this can be considered PQA, but have to move to BLOCKED for now until we have ironed out some glitches in the dependent bug.
Comment 23 Martin Renvoize 2022-04-19 12:35:56 UTC
The blocking bugs are now PQA so resetting this one too.
Comment 24 Fridolin Somers 2022-04-20 19:04:25 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄